# Visualization
TKV3d
V3d

# V3d_OrthographicView Class Reference

Define an orthographic view.
See the methods of the Class View
.

`#include <V3d_OrthographicView.hxx>`

Inheritance diagram for V3d_OrthographicView:

[legend]

## Public Member Functions

Standard_EXPORT | V3d_OrthographicView (const Handle(V3d_Viewer)&VM)
| Define an orthographic view in the viewer VM. .
Standard_EXPORT | V3d_OrthographicView (const Handle(V3d_Viewer)&VM, const Handle(V3d_PerspectiveView)&V)
| Defines an orthographic view from a Perspective view. The parameters of the original view are duplicated in the resulting view (Projection,Mapping,Context) . The view thus created must be activated in a new window. .
Standard_EXPORT | V3d_OrthographicView (const Handle(V3d_Viewer)&VM, const Handle(V3d_OrthographicView)&V)
| Defines one orthographic view from another. The parameters of the original view are duplicated in the resulting view. (Projection,Mapping,Context) . The view thus created must be activated in a new window. .
Standard_EXPORT Handle_V3d_OrthographicView | Copy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT V3d_OrthographicView::V3d_OrthographicView | ( | const Handle(V3d_Viewer)& | VM | ) |

Standard_EXPORT V3d_OrthographicView::V3d_OrthographicView | ( | const Handle(V3d_Viewer)& | VM,
|  | const Handle(V3d_PerspectiveView)& | V
| ) |

Standard_EXPORT V3d_OrthographicView::V3d_OrthographicView | ( | const Handle(V3d_Viewer)& | VM,
|  | const Handle(V3d_OrthographicView)& | V
| ) |

## Member Function Documentation

Standard_EXPORT Handle_V3d_OrthographicView V3d_OrthographicView::Copy | ( |  | ) | const

Standard_EXPORT const V3d_OrthographicView::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from V3d_View.

The documentation for this class was generated from the following file:

- V3d_OrthographicView.hxx